Package org.gradle.jvm.toolchain

## Interface LocalJava

- All Superinterfaces:
    `Named`

      @Incubating
      @Deprecated
      public interface LocalJava
      extends Named

  Deprecated.
  A local JDK, JRE or Java 9+ installation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getPath()` | Deprecated. Returns the path to the local Java installation.
    `void` | `setPath​(File path)` | Deprecated. Sets the path to the local Java installation.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getPath

          File getPath()

      Deprecated.
      Returns the path to the local Java installation.

    - #### setPath

          void setPath​(File path)

      Deprecated.
      Sets the path to the local Java installation.